# Validate time slot

> **POST** `https://api.us.nylas.com/v3/scheduling/configurations/{configuration_id}/group-events/validate-timeslot`

Source: https://developer.nylas.com/docs/reference/api/group-events/validate-time-slot/

Validates whether the selected group event or time slot has changed, and is invalid. This can happen
because...

- The group event was deleted.
- The group event was updated (for example, the start time was changed).
- The `capacity` for the event was changed.

**Authentication:** NYLAS_API_KEY

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `configuration_id` | string | Yes | The ID of the Configuration object to access. |

## Request body

Validate time slot

Content-Type: application/json

- `calendar_id` (string) **(required)** - ID of the calendar to access.
- `capacity` (number) - The maximum number of attendees for the event. If not specified, Nylas uses the default
capacity for your Configuration.
- `emails` (array) - A list of email addresses associated with the event's participants.
- `event_id` (string) **(required)** - ID of the event to validate.
- `master_id` (string) - The master event ID. Required when working with recurring events.

## Responses

### 200 - Time slot validated

- `request_id` (string) - ID of the request.

## Code samples

### cURL

```bash
curl --compressed --request POST \
  --url "https://api.us.nylas.com/v3/scheduling/configurations/<SCHEDULER_CONFIG_ID>/group-events/validate-timeslot" \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{
    "calendar_id": "<CALENDAR_ID>",
    "event_id": "<EVENT_ID>",
    "capacity": 10,
    "end_time": 1738156200,
    "start_time": 1738155600,
    "emails": [
      "email": "leyah@example.com"
    ]
  }'
```
